import { JSX } from 'solid-js/jsx-runtime';
import { CodeMirrorProps } from '@solid-codemirror/core';
import { Extension } from '@codemirror/state';

interface LineNumbersProps {
    showLineNumbers?: boolean;
}

interface ReadOnlyProps {
    readOnly?: boolean;
}

interface WrapLineProps {
    wrapLine?: boolean;
}

interface ExtensionsProps {
    extensions?: Extension[];
}

interface ThemeProps {
    theme?: Extension;
}

declare type Props = CodeMirrorProps & LineNumbersProps & ReadOnlyProps & WrapLineProps & ExtensionsProps & ThemeProps & JSX.HTMLAttributes<HTMLDivElement>;
declare function CodeMirror(props: Props): JSX.Element;

export { CodeMirror, Props };
